<?php

  $tabla = [
    'clases' => ['table']
  ];

  if (isset($cebrado))
    $cebrado = !!$cebrado;
  else
    $cebrado = true
  ;

  if ($cebrado)
    $tabla['clases'][] = 'table-striped'
  ;

  if (isset($cursor))
    $cursor = !!$cursor;
  else
    $cursor = true
  ;

  if ($cursor)
    $tabla['clases'][] = 'table-hover'
  ;

  if (empty($clases))
    $clases = ''
  ;

  $clases = $utilidades->limpiar(implode(' ', $tabla['clases']) . " " . $clases);

  $tabla['atributos'][] = 'class="' . $clases . '"';

  if (empty($id))
    $id = 'tabla';
  else
    $id = "tabla_$id"
  ;

  $tabla['atributos'][] = "id=$id";

  if (isset($atributos))
    $tabla['atributos'][] = $utilidades->limpiar($atributos)
  ;

  $tabla['atributos'] = implode(' ', $tabla['atributos']);

?>

<table <?php echo $tabla['atributos']; ?>>

  <?php if($slot->isEmpty()): ?>

    <thead <?php echo $cabeza['atributos'] ?? ''; ?>>
      <tr></tr>
    </thead>

    <tbody <?php echo $cuerpo['atributos'] ?? ''; ?>></tbody>

    <tfoot <?php echo $pie['atributos'] ?? ''; ?>>
      <tr></tr>
    </tfoot>

  <?php else: ?>
    <?php echo e($slot); ?>

  <?php endif; ?>

</table><?php /**PATH C:\xampp\htdocs\aplicaciones\empresa\sistemas\daite\resources\views/aplicacion/elementos/tabla.blade.php ENDPATH**/ ?>